Bug 564595 - DPMS does not work with Intel G45/G43 chipset
Summary: DPMS does not work with Intel G45/G43 chipset
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-power-manager
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: card_G45/G43
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-13 16:04 UTC by Bob Glickstein
Modified: 2018-04-11 10:56 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 22:14:40 UTC


Attachments (Terms of Use)
output of dmesg (54.62 KB, text/plain)
2010-04-01 05:07 UTC, Bob Glickstein
no flags Details
/var/log/messages (416.99 KB, text/plain)
2010-04-01 05:10 UTC, Bob Glickstein
no flags Details
/var/log/Xorg.0.log (157.17 KB, text/plain)
2010-04-01 05:12 UTC, Bob Glickstein
no flags Details

Description Bob Glickstein 2010-02-13 16:04:07 UTC
"xset dpms force (standby|suspend|off)" discontinues the video signal to the monitor but does not place the monitor into power-save mode.  (Power-save mode on the same monitor worked fine under F11 with a different video chipset.)  Screensaver/gnome-power-manager also fails to activate power-save mode.

xorg-x11-drv-intel-2.9.1-1.fc12.x86_64

Reproducible every time.

"xset q" reports "DPMS is Enabled."  DPMS is also listed among the display extensions in the output of "xdpyinfo."

Comment 1 Ben Caradoc-Davies 2010-03-26 07:09:58 UTC
Also affects GM45 (mobile version of G45?). Using KMS.

rpms:
xorg-x11-drv-intel-2.9.1-1.fc12.x86_64
kernel-2.6.32.9-70.fc12.x86_64

Symptoms: Gnome screensaver / power manager does not turn screen off after configured timeout. Instead screen stays on and an "Out of Range HDMI" message bounces around the screen. Monitor is an LG Flatron L246WH HDMI on DVI to HDMI cable (on a Dell E-port).

DPMS failure can also be demonstrated more quickly with: "sleep 1; xset dpms force off".
Standby and suspend have the same problem.

DPMS worked fine on this monitor on Fedora 11 x86_64 with a desktop GMA 3000 (965?), which also uses the intel driver.

Comment 2 Matěj Cepl 2010-03-31 22:53:32 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach

* your X server config file (/etc/X11/xorg.conf, if available),
* output of the dmesg command,
* system log (/var/log/messages), and
* X server log file (/var/log/Xorg.*.log)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 3 Bob Glickstein 2010-04-01 05:07:51 UTC
Created attachment 403873 [details]
output of dmesg

Comment 4 Bob Glickstein 2010-04-01 05:10:33 UTC
Created attachment 403874 [details]
/var/log/messages

Comment 5 Bob Glickstein 2010-04-01 05:12:42 UTC
Created attachment 403875 [details]
/var/log/Xorg.0.log

Comment 6 Bob Glickstein 2010-04-01 05:13:15 UTC
Requested files attached.  My system has no xorg.conf.

Comment 7 Matěj Cepl 2010-04-13 15:07:37 UTC
I believe this is similar issue to (already resolved long time ago) bug 485601. Reassigning to gnome-power-manager for further investigation.

Comment 8 Bug Zapper 2010-11-03 22:11:31 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bob Glickstein 2010-11-08 23:54:57 UTC
Reverified in Fedora 14.

Comment 10 Steve Nordquist 2011-01-27 03:35:31 UTC
   fwiw what -are- any gdk- and gtk-debug flags investigators may want to set?
Clearly enough it's fine if xset whacking the same stuff corroborates an X11 dpms quirk; but at the same time I find
# vbetool dpms off; wait 14; vbetool dpms on
blanks in the manner of turning my Ol' Dell 2005FPW backlight off (after 10 seconds) and on as well as blackening video for that wait time.  Perhaps a STOIC_MONITOR_DBE_POWERSTATE flag or n are enrolled in the xscreensaver or driver incarnations?

Comment 11 Fedora End Of Life 2012-08-16 22:14:43 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.